"""
=====================
act.utils (act.utils)
=====================

.. currentmodule:: act.utils

This module contains the common procedures used by all modules of the ARM
Community Toolkit.

.. autosummary::
    :toctree: generated/

    assign_coordinates
    add_in_nan
    convert_units
    dates_between
    get_missing_value
    ship_utils.calc_cog_sog
"""

from .data_utils import add_in_nan
from .data_utils import get_missing_value
from .data_utils import convert_units
from .data_utils import assign_coordinates
from .datetime_utils import dates_between
from .datetime_utils import numpy_to_arm_date
from . import ship_utils
from . import geo_utils
